Name: kanagram
Summary: jumble word puzzle for KDE
Version: 4.9.1
Release: 1%{?_dist_release}

License: GPLv2+
Group: Applications/Edutainment
URL: http://edu.kde.org/kanagram/

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

## upstream patches

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires:  %{name}-libs = %{version}-%{release}
BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkdeedu-devel >= %{version}

Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kdeedu4 < 4.6.50

%description
KAnagram is a game where a random word is shown with its letters scrambled. To win, the player must rearrange the letters into the correct order.

This package is part of the KDE education module.


%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Requires: kdelibs4 >= %{version}

%description libs
%{summary}.

%description -l ja libs
%{name} のランタイムライブラリです．


%package devel
Summary:   Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:     Development/Libraries
Requires:  %{name}-libs = %{version}-%{release}
Requires:  kdelibs4-devel

%description devel
%{summary}.

%description -l ja devel
%{name} の開発用ファイルです．


%prep
%setup -q 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%clean
rm -rf $RPM_BUILD_ROOT 

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:

%posttrans
update-desktop-database -q &> /dev/null ||:
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
    update-desktop-database -q &> /dev/null ||:
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null ||:
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null ||:
fi

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.DOC
%{_bindir}/%{name}
%{_datadir}/applications/kde4/%{name}.desktop
%{_datadir}/config/%{name}.knsrc
%{_datadir}/config.kcfg/%{name}.kcfg
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/kde4/apps/%{name}
%doc %{_docdir}/HTML/en/%{name}/

%files libs
%defattr(-,root,root,-)
%{_libdir}/libkanagramengine.so.*


%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}
%{_libdir}/libkanagramengine.so


%changelog
* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Mon Aug 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release
- create -devel and -libs subpckages

* Sat Sep  3 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.0-1
- split from kdeedu

