%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: kdebase-workspace
Summary: KDE Workspace
Summary(ja): KDE ワークスペース
Version: 4.9.1
Release: 1%{?_dist_release}

License: GPLv2
Group: User Interface/Desktops
URL: http://www.kde.org/

Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-workspace-%{version}.tar.xz
Source1: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-wallpapers-%{version}.tar.xz

# RH/Fedora-specific startkde changes
Patch1: kdebase-workspace-4.9.0-redhat_startkde.patch

# add konsole menuitem
Patch2: kdebase-workspace-4.5.0-plasma-konsole.patch

# 441062: packagekit tools do not show icons correctly on KDE
Patch7: kdebase-workspace-4.6.80-krdb.patch

# correct quoting
Patch8: kdebase-workspace-4.2.85-klipper-url.patch

# 434824: KDE4 System Settings - No Method To Enter Administrative Mode
Patch9: kdebase-workspace-4.4.90-rootprivs.patch

# drop useless kde font directories
Patch11: kdebase-workspace-4.6.90-font.patch

# no klipper action on selection for Arora browser
Patch14: kdebase-workspace-4.2.0-klipper-arora.patch

# kio_sysinfo based on OpenSUSE's patch
Patch15: kdebase-workspace-4.3.75-kio_sysinfo.patch

# allow adding a "Leave..." button which brings up the complete shutdown dialog
# to the classic menu (as in KDE <= 4.2.x); the default is still the upstream
# default Leave submenu
Patch17: kdebase-workspace-4.5.80-classicmenu-logout.patch

# kubuntu kudos! bulletproof-X bits ripped out
Patch19: kdebase-workspace-4.4.92-kdm_plymouth081.patch
Patch20: kdebase-workspace-4.4.92-xsession_errors_O_APPEND.patch 

# support the widgetStyle4 hack in the Qt KDE platform plugin
Patch21: kdebase-workspace-4.3.98-platformplugin-widgetstyle4.patch

# drop hard dep on xorg-x11-apps (for xmessage), http://bugzilla.redhat.com/537609
Patch23: kdebase-workspace-4.5.2-startkde_zenity.patch 

# multilib QT_PLUGIN_PATH, http://bugzilla.redhat.com/704840
Patch24: kdebase-workspace-4.6.90-multilib_qt_plugin_path.patch

## upstreamable patches:
# "keyboard stops working", https://bugs.kde.org/show_bug.cgi?id=171685#c135
Patch50: kdebase-workspace-4.6.80-kde#171685.patch

# fix for "lightdm integration breaks gdm integration" (4.7 regression)
# https://bugs.kde.org/show_bug.cgi?id=278206 (patch by Alex Fiestas)
Patch51: kdebase-workspace-4.7.0-kde#278206.patch

# trunk
# HALsectomy
Patch200: kdebase-workspace-4.9.0-no_HAL.patch
Patch210: kdebase-workspace-4.9.0-no_HAL2.patch

# Vine patches
# don't link with xmms
Patch700: kdebase-workspace-4.6.0-noxmms.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: akonadi-devel
BuildRequires: bluez-libs-devel
BuildRequires: ConsoleKit-devel
BuildRequires: dbusmenu-qt-devel >= 0.6
BuildRequires: desktop-file-utils
BuildRequires: glib2-devel
BuildRequires: google-gadgets-devel >= 0.10.5
BuildRequires: gpsd-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: kactivities-devel >= %{version}
BuildRequires: libdmtx-devel
BuildRequires: libqalculate-devel
BuildRequires: libraw1394-devel
BuildRequires: libusb-devel
BuildRequires: libutempter-devel
BuildRequires: libuuid-devel
BuildRequires: libxklavier-devel >= 3.0
BuildRequires: libxml2-devel
BuildRequires: libXau-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXpm-devel
BuildRequires: libXres-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXtst-devel
BuildRequires: libxkbfile-devel
BuildRequires: lm-sensors-devel
BuildRequires: NetworkManager-devel NetworkManager-glib-devel
BuildRequires: pam-devel
BuildRequires: pciutils-devel
BuildRequires: polkit-qt-devel
BuildRequires: prison-devel
BuildRequires: python-devel
#BuildRequires: qedje-devel >= 0.4.0
BuildRequires: sip-devel
BuildRequires: qimageblitz-devel
BuildRequires: soprano-devel
# dropt by Patch700
#BuildRequires: xmms-devel
BuildRequires: xz-devel

Requires: polkit-kde

Requires: %{name}-libs = %{version}-%{release}
Requires: kdebase-runtime >= %{version}

# would much rather these deps be elsewhere,
# but adding here doesn't hurt either -- Rex
Requires: oxygen-icon-theme >= 4.2.2 

# for kcm_keyboard
Requires: iso-codes
Requires: kio_sysinfo
Requires: ksysguardd = %{version}-%{release}

# startkde references: dbus-launch df mkdir test xmessage xprop xrandr xrdb xset xsetroot
Requires: coreutils
Requires: dbus-x11
Requires: xorg-x11-utils
Requires: xorg-x11-server-utils

%define default_face_icon default1.png

# Temporary solution until nepomukcontroller is merged back to kdebase-workspace
Requires: nepomukcontroller

# moving to non-multilib hack
Obsoletes: kdebase-workspace < 4.6.3-5

Provides: plasma-dataengine-calendar = %{version}-%{release}
Provides: kde-workspace = %{version}-%{release}

# kinfocenter moved kdebase-4.4 -> kdebase-workspace-4.5
Conflicts: kdebase4 < 4.4.80
# kgreet_* plugins moved here
Conflicts: kdm < 4.6.90-4

%description
The KDE Workspace consists of what is the desktop of the
KDE Desktop Environment.

This package contains:
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)

%package devel
Summary:  Development files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:    Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: kdelibs4-devel
Provides: solid-bluetooth-devel = %{version}-%{release}

%description devel
%{summary}.

%description -l ja devel
%{name} の開発用ファイルです．

%package libs
Summary: Runtime libraries for %{name}
Summary(ja): %{name} のランタイムライブラリ
Group:   System Environment/Libraries
Requires: kdelibs4 >= %{version}
#Requires: %{name} = %{version}-%{release}
Provides: solid-bluetooth = %{version}-%{release}

%description libs
%{summary}.

%description -l ja libs
%{name} のランタイムライブラリです．

%package ksplash-themes
Summary: KDE ksplash themes
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description ksplash-themes
%{summary}, including Default (Air and Horos).

%package wallpapers
Summary: KDE wallpapers
Summary(ja): KDE ワークスペース用のデスクトップ壁紙集
Group: User Interface/Desktops
Provides: kde-wallpapers = %{version}-%{release}
BuildArch: noarch

%description wallpapers
%{summary}.

%package -n kdm
Summary: The KDE login manager
Summary(ja): KDE ログインマネージャ
Group: User Interface/X
Provides: kdebase-kdm = %{version}-%{release}
Provides: service(graphical-login) = kdm
Requires: kdelibs4 >= %{version}
Requires: kde-settings-kdm

%description -n kdm
KDM provides the graphical login screen, shown shortly after boot up,
log out, and when user switching.

%package -n ksysguardd
Summary: Performance monitor daemon
Summary(ja): パフォーマンス監視デーモン
Group: Applications/Services

%description -n ksysguardd
%{summary}.

%package -n oxygen-cursor-themes
Summary: Oxygen cursor themes
Summary(ja): Oxygen カーソルテーマ
Group: User Interface/Desktops
BuildArch: noarch

%description -n oxygen-cursor-themes
%{summary}.

%package -n plasma-scriptengine-googlegadgets
Summary: Plasma scriptengine for Google Desktop Gadgets
Summary(ja): Google Desktop Gadgets 用 Plasma スクリプトエンジン
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Obsoletes: %{name}-googlegadgets < 4.5.80-7
Provides:  %{name}-googlegadgets = %{version}-%{release}

%description -n plasma-scriptengine-googlegadgets
%{summary}.


%package -n plasma-scriptengine-python 
Summary: Plasma scriptengine for python
Summary(ja): Python 用 Plasma スクリプトエンジン
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: PyKDE4 >= %{version}
Obsoletes: %{name}-python-applet < 4.5.80-7
Provides:  %{name}-python-applet = %{version}-%{release}

%description -n plasma-scriptengine-python 
%{summary}.

%package -n plasma-scriptengine-ruby
Summary: Plasma scriptengine for ruby 
Summary(ja): Ruby 用 Plasma スクリプトエンジン
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}
Requires: ruby 

%description -n plasma-scriptengine-ruby
%{summary}.

%package akonadi
Summary: Akonadi integration for KDE Workspace
Summary(ja): KDE ワークスペースの Akonadi サポート
Group: User Interface/Desktops
Provides: plasma-dataengine-akonadi = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: akonadi

%description akonadi
%{summary}.


%prep
%setup -q -T -c -a 0
%setup -q -T -D -a 1

# mimic old kdebase-workspace behaviour to match package name
mv kde-workspace-%{version} %{name}-%{version}

pushd %{name}-%{version}

%patch1 -p1 -b .redhat_startkde
# Well, I looked at doing this using the context menu plugin system and it
# looked like a lot more work than this simple patch to me. -- Kevin
%patch2 -p1 -b .plasma-konsole
%patch7 -p1 -b .krdb
%patch8 -p1 -b .klipper-url
%patch9 -p1 -b .rootprivs
%patch11 -p1 -b .font
%patch15 -p1 -b .kio_sysinfo
%patch17 -p1 -b .classicmenu-logout
%patch19 -p1 -b .kdm_plymouth
%patch20 -p1 -b .xsession_errors_O_APPEND
%patch21 -p1 -b .platformplugin-widgetstyle4
%patch23 -p1 -b .startkde_zenity
%patch24 -p1 -b .multilib_qt_plugin_path

# upstreamable patches
%patch50 -p1 -b .kde#171685
#patch51 -p1 -b .kde#278206

# upstream patches

# Fedora patches
%patch200 -p1 -b .no_HAL
%patch210 -p1 -b .no_HAL2

# Vine patches
%patch700 -p1 -b .noxmms
popd


%build
pushd %{name}-%{version}
    mkdir -p %{_target_platform}
    pushd %{_target_platform}
        #unset QTDIR || : ; . /etc/profile.d/qt4.sh
	%cmake \
	    -DCMAKE_BUILD_TYPE=release \
	    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
	    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
	    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
	    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
	    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
	    -DKDE4_KDM_PAM_SERVICE=kdm \
	    -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
	    -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
	    ..
    popd

    make -C %{_target_platform}
 
popd

pushd kde-wallpapers-%{version}
    mkdir -p %{_target_platform}
    pushd %{_target_platform}
        #unset QTDIR || : ; . /etc/profile.d/qt4.sh
	%cmake \
	    -DCMAKE_BUILD_TYPE=release \
	    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
	    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
	    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
	    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
	    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
	    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
	    ..
    popd

    make %{?_smp_mflags} -C %{_target_platform} 

popd

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{name}-%{version}/%{_target_platform}
make install/fast DESTDIR=$RPM_BUILD_ROOT -C kde-wallpapers-%{version}/%{_target_platform}

# xsession support
mkdir -p $RPM_BUILD_ROOT%{_datadir}/xsessions/
mv $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kdm/sessions/kde-plasma.desktop \
   $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kdm/sessions/kde-plasma-safe.desktop \
   $RPM_BUILD_ROOT%{_datadir}/xsessions/

# remove extraneous xsession files
rm -rf $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kdm/sessions

# nuke, use external kde-config-kdm
rm -rf $RPM_BUILD_ROOT%{_datadir}/config/kdm

# own %{_datadir}/kde4/apps/kdm/faces and set default user image
mkdir -p $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kdm/faces
pushd $RPM_BUILD_ROOT%{_datadir}/kde4/apps/kdm/faces
ln -sf ../pics/users/%{default_face_icon} .default.face.icon
popd

## unpackaged files

%check
for f in $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop ; do
    desktop-file-validate $f
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
update-desktop-database -q &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    touch --no-create %{_datadir}/icons/oxygen &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/oxygen &> /dev/null || :
    update-desktop-database -q &> /dev/null || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
#doc COPYING README
%{_bindir}/kaccess
%{_bindir}/kapplymousetheme
%{_bindir}/kblankscrn.kss
%{_bindir}/kcheckrunning
%{_bindir}/kcminit
%{_bindir}/kcminit_startup
%{_bindir}/kdostartupconfig4
%{_bindir}/kfontinst
%{_bindir}/kfontview
%{_bindir}/kinfocenter
%{_bindir}/klipper
%{_bindir}/kmenuedit
%{_bindir}/krandom.kss
%{_bindir}/krandrstartup
%{_bindir}/krandrtray
%{_bindir}/krdb
%{_bindir}/krunner
%{_bindir}/ksmserver
%{_bindir}/ksplashqml
%{_bindir}/ksplashsimple
%{_bindir}/ksplashx
%{_bindir}/ksplashx_scale
%{_bindir}/kstartupconfig4
%{_bindir}/ksysguard
%{_bindir}/ksystraycmd
%{_bindir}/kwin*
%{_bindir}/oxygen-demo
%{_bindir}/oxygen-settings
%{_bindir}/oxygen-shadow-demo
%{_bindir}/plasma-desktop
%{_bindir}/plasma-netbook
%{_bindir}/plasma-overlay
%{_bindir}/plasma-windowed
%{_bindir}/plasmaengineexplorer
%{_bindir}/plasmoidviewer
%{_bindir}/plasmawallpaperviewer
%{_bindir}/remote-widgets-browser
%{_bindir}/solid-action-desktop-gen
%{_bindir}/solid-network
%{_bindir}/startkde
%{_bindir}/systemsettings

%{_datadir}/kde4/apps/color-schemes/
%{_datadir}/kde4/apps/desktoptheme/
%{_datadir}/kde4/apps/freespacenotifier/
%{_datadir}/kde4/apps/kaccess/
%{_datadir}/kde4/apps/katepart/syntax/plasma-desktop-js.xml
%{_datadir}/kde4/apps/kcminput/
%{_datadir}/kde4/apps/kcmkeyboard/
%{_datadir}/kde4/apps/kcmkeys/
%{_datadir}/kde4/apps/kcmsolidactions/
%{_datadir}/kde4/apps/kcmusb/
%{_datadir}/kde4/apps/kcmview1394/
%{_datadir}/kde4/apps/kconf_update/
%{_datadir}/kde4/apps/kcontrol/
%{_datadir}/kde4/apps/kdisplay/
#{_datadir}/kde4/apps/kdm/sessions/kde.desktop
%{_datadir}/kde4/apps/kfontinst/
%{_datadir}/kde4/apps/kfontview/
%{_datadir}/kde4/apps/khotkeys/
%{_datadir}/kde4/apps/kinfocenter/
%{_datadir}/kde4/apps/kmenuedit/
%{_datadir}/kde4/apps/konqsidebartng/
%{_datadir}/kde4/apps/kscreenlocker/
%{_datadir}/kde4/apps/ksmserver/
%{_datadir}/kde4/apps/ksplash/
%{_datadir}/kde4/apps/kstyle/themes/
%{_datadir}/kde4/apps/ksysguard/
%{_datadir}/kde4/apps/kthememanager/
%{_datadir}/kde4/apps/kwin/
%{_datadir}/kde4/apps/kwrited/
%{_datadir}/kde4/apps/plasma/
%{_datadir}/kde4/apps/plasma-desktop/
%{_datadir}/kde4/apps/plasma-netbook/
%{_datadir}/kde4/apps/plasma_scriptengine_ruby/
%{_datadir}/kde4/apps/powerdevil/
%{_datadir}/kde4/apps/solid/
%{_datadir}/kde4/apps/solidfakenetbackend/
%{_datadir}/kde4/apps/systemsettings/

%{_datadir}/config/activities.knsrc
%{_datadir}/config/aurorae.knsrc
%{_datadir}/config/background.knsrc
%{_datadir}/config/colorschemes.knsrc
%{_datadir}/config/kfontinst.knsrc
%{_datadir}/config/ksplash.knsrc
%{_datadir}/config/ksysguard.knsrc
%{_datadir}/config/kwinscripts.knsrc
%{_datadir}/config/kwinswitcher.knsrc
%{_datadir}/config/plasma-overlayrc
%{_datadir}/config/plasma-themes.knsrc
%{_datadir}/config/wallpaper.knsrc
%{_datadir}/config/xcursor.knsrc

%{_datadir}/kde4/services/*
%exclude %{_datadir}/kde4/services/kdm.desktop
%{_datadir}/kde4/servicetypes/*
%{_datadir}/sounds/pop.wav
%{_datadir}/autostart/klipper.desktop
%{_datadir}/autostart/krunner.desktop
%{_datadir}/autostart/plasma.desktop
%{_datadir}/autostart/plasma-desktop.desktop
%{_datadir}/applications/kde4/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/*.service
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/config.kcfg/*
%{_datadir}/xsessions/*.desktop
%{_docdir}/HTML/en/kcontrol/
%{_docdir}/HTML/en/kfontview/
%{_docdir}/HTML/en/kinfocenter/
%{_docdir}/HTML/en/klipper/
%{_docdir}/HTML/en/kmenuedit/
%{_docdir}/HTML/en/ksysguard/
%{_docdir}/HTML/en/plasma-desktop/
%{_docdir}/HTML/en/systemsettings/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/icons/oxygen/*/*/*
%{_libdir}/kde4/classic_mode.so
%{_libdir}/kde4/devinfo.so
%{_libdir}/kde4/fontthumbnail.so
%{_libdir}/kde4/icon_mode.so
%{_libdir}/kde4/ion_*.so
%{_libdir}/kde4/kcm_*.so
%exclude %{_libdir}/kde4/kcm_kdm.so
%{_libdir}/kde4/kded_*.so
%{_libdir}/kde4/keyboard_layout_widget.so
%{_libdir}/kde4/kfontviewpart.so
%{_libdir}/kde4/kio_fonts.so
%{_libdir}/kde4/krunner_*.so
%{_libdir}/kde4/kstyle_oxygen_config.so
%{_libdir}/kde4/kwin*_*.so
%{_libdir}/kde4/plasma_animator_default.so
%{_libdir}/kde4/plasma_applet_*.so
%{_libdir}/kde4/plasma_appletscriptengine_dashboard.so
%{_libdir}/kde4/plasma_appletscriptengine_webapplet.so
%{_libdir}/kde4/plasma_containment_*.so
%{_libdir}/kde4/plasma_containmentactions_*.so
%{_libdir}/kde4/plasma_engine_*.so
%{_libdir}/kde4/plasma-geolocation-gps.so
%{_libdir}/kde4/plasma-geolocation-ip.so
%{_libdir}/kde4/plasma_package*_*.so
%{_libdir}/kde4/plasma_toolbox_*.so
%{_libdir}/kde4/plasma_wallpaper_*.so
%{_libdir}/kde4/powerdevil*.so
%{_libdir}/kde4/solid_*.so
%{_libdir}/kde4/plugins/styles/oxygen.so
%{_libexecdir}/kde4/backlighthelper
%{_libexecdir}/kde4/fontinst
%{_libexecdir}/kde4/fontinst_helper
%{_libexecdir}/kde4/fontinst_x11
%{_libexecdir}/kde4/kcheckpass
%{_libexecdir}/kde4/kcmdatetimehelper
%{_libexecdir}/kde4/kcmkdmhelper
%{_libexecdir}/kde4/kfontprint
%{_libexecdir}/kde4/krootimage
%{_libexecdir}/kde4/kscreenlocker
%{_libexecdir}/kde4/ksysguardprocesslist_helper
%{_libexecdir}/kde4/kwin_killer_helper
%{_libexecdir}/kde4/kwin_opengl_test
%{_libexecdir}/kde4/kwin_rules_dialog
%{_libdir}/strigi/
%{_libdir}/libkdeinit*.so
%{_libdir}/libkickoff.so
%{_libdir}/libpowerdevilui.so
#{_libdir}/libsystemsettingsview.so
%{_libdir}/kconf_update_bin/*
%{_mandir}/man1/plasm*

# googlegadgets
%exclude %{_libdir}/kde4/plasma_package_ggl.so
%exclude %{_libdir}/kde4/plasma_scriptengine_ggl.so
%exclude %{_datadir}/kde4/services/*googlegadgets.desktop
# python 
%exclude %{_datadir}/kde4/services/plasma-scriptengine*python.desktop
# ruby
%exclude %{_datadir}/kde4/services/plasma-scriptengine-*ruby*.desktop
# akonadi
%exclude %{_libdir}/kde4/plasma_engine_akonadi.so
%exclude %{_datadir}/kde4/services/plasma-engine-akonadi.desktop

# polkit-kde
%if %{?_dist_release} !="vl5"
%{_datadir}/polkit-1/actions/*.policy
%else
%{_bindir}/polkit-kde-authorization
%{_libexecdir}/kde4/polkit-kde-manager
%{_datadir}/PolicyKit/policy/*.policy
%{_docdir}/HTML/en/PolicyKit-kde/
%endif

#dir %{_datadir}/kde-settings
#{_datadir}/kde-settings/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*
%{_libdir}/libplasma_applet-system-monitor.so
%{_libdir}/kde4/plugins/designer/ksignalplotterwidgets.so
%{_libdir}/kde4/plugins/designer/ksysguardwidgets.so
%{_libdir}/kde4/plugins/designer/ksysguardlsofwidgets.so
%{_libdir}/kde4/plugins/gui_platform/libkde.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/*
%if %{?_dist_release} == "vl5"
%{_libdir}/kde4/devel/lib*.so
%endif
%{_libdir}/lib*.so
%{_datadir}/kde4/apps/cmake/modules/*.cmake
%{_libdir}/cmake/KDE4Workspace/*
%exclude %{_libdir}/libkdeinit*.so
%exclude %{_libdir}/libkickoff.so
%exclude %{_libdir}/libpowerdevilui.so
%exclude %{_libdir}/libplasma_applet-system-monitor.so
#exclude %{_libdir}/libsystemsettingsview.so

%files wallpapers
%defattr(-,root,root,-)
%{_datadir}/wallpapers/*

%files -n kdm
%defattr(-,root,root,-)
#{_sysconfdir}/pam.d/kdm*
%{_bindir}/genkdmconf
%{_bindir}/kdm
%{_bindir}/kdmctl
%{_libdir}/kde4/kcm_kdm.so
%{_libexecdir}/kde4/kdm_config
%{_libexecdir}/kde4/kdm_greet
%{_libdir}/kde4/kgreet_*.so
%{_datadir}/config/kdm.knsrc
%{_docdir}/HTML/en/kdm/
%dir %{_datadir}/kde4/apps/doc
%{_datadir}/kde4/apps/doc/kdm
%{_datadir}/kde4/apps/kdm
%{_datadir}/kde4/services/kdm.desktop
#{_datadir}/config/kdm
#exclude %{_datadir}/kde4/apps/kdm/sessions/kde.desktop

%files -n ksysguardd
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ksysguarddrc
%{_bindir}/ksysguardd

%files -n oxygen-cursor-themes
%defattr(-,root,root,-)
%{_datadir}/icons/Oxygen_Black/
%{_datadir}/icons/Oxygen_Blue/
%{_datadir}/icons/Oxygen_White/
%{_datadir}/icons/Oxygen_Yellow/
%{_datadir}/icons/Oxygen_Zion/

%files -n plasma-scriptengine-googlegadgets
%defattr(-,root,root,-)
%{_libdir}/kde4/plasma_package_ggl.so
%{_libdir}/kde4/plasma_scriptengine_ggl.so
%{_datadir}/kde4/services/*googlegadgets.desktop

%files -n plasma-scriptengine-python
%defattr(-,root,root,-)
%{python_sitearch}/PyKDE4/plasmascript.py*
%{_datadir}/kde4/apps/plasma_scriptengine_python
%{_datadir}/kde4/services/plasma-scriptengine*python.desktop

%files -n plasma-scriptengine-ruby
%defattr(-,root,root,-)
%{_datadir}/kde4/apps/plasma_scriptengine_ruby/
%{_datadir}/kde4/services/plasma-scriptengine-*ruby*.desktop

%files akonadi
%defattr(-,root,root,-)
%{_libdir}/kde4/plasma_engine_akonadi.so
%{_datadir}/kde4/services/plasma-engine-akonadi.desktop

%changelog
* Wed Sep 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Thu Aug 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- new upstream release
- update Patch1 (kdebase-workspace-4.9.0-redhat_startkde.patch)
- update Patch200 (kdebase-workspace-4.9.0-no_HAL.patch)
- update Patch210 (kdebase-workspace-4.9.0-no_HAL2.patch)
- remove Patch3 (kdebase-workspace-4.4.92-systemsettings_onlyshowin_kde.patch)
- remove Patch16 (kdebase-workspace-4.5.80-battery-plasmoid-showremainingtime.patch)
- BuildRequires: kactivities-devel

* Sun Feb 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.7.4-2
- rebuild with python-2.7.2

* Sun Dec 18 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.4-1
- new upstream release

* Mon Oct 24 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.7.2-1
- new upstream release

* Sun Jul 31 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.7.0-1
- new upstream release

* Tue Jun 14 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.4-1
- new upstream release

* Thu Apr 07 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.1-3
- moved libpowerdevilui.so to main package from devel package

* Sun Apr 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 4.6.1-2
- add BuildRequires: libxkbfile-devel

* Sun Mar 13 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.1-1
- new upstream release

* Sun Feb 27 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.0-2
- added BR: libdmtx-devel, libraw1394-devel, libusb-devel, libXScrnSaver-devel
- added Patch700 and removed BR: xmms-devel

* Sat Feb 12 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.6.0-1
- new upstream release

* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.5.1-2
- rebuilt with libqalculate-0.9.7

* Sun Sep  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.5.1-1
- new upstream release
- updated summary
- dropt Patch100

* Mon Aug 16 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.5.0-1
- new upstream release

* Sun Jul  4 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.5-1
- new upstream release
- BR: libxml2-devel, libXpm-devel, libXtst-devel, e2fsprogs-devel

* Fri May  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.3-1
- new upstream release
- dropt Patch52 (merged into upstream)

* Wed May  5 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.2-2
- added Patch52 for CVE-2010-0436

* Mon Apr 12 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.2-1
- new upstream release
- built with libxklaiver-5.0

* Sun Mar  7 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.1-1
- new upstream release

* Sun Feb 28 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.4.0-1
- new upstream release
- built with new toolchain

* Sun Nov 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.3-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.2-2
- rebuilt with libxklavier-4.0

* Sat Oct 24 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.2-1
- new upstream release
- built with lm-sensors-3.1.1

* Tue Sep  8 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.1-2
- removed /etc/X11/dm/Sessions/KDE.desktop
- moved /usr/share/kde4/apps/kdm/sessions/kde.desktop to main package
- fixed SOURCE21, 22 not to use selinux
- added more configuration files

* Sat Sep  5 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.1-1
- new upstream release

* Sun Aug 30 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.0-6
- added some setting files
- split akonadi stuff to subpackage

* Tue Aug 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 4.3.0-5
- Initial build for Vie Linux

* Mon Aug 03 2009 Than Ngo <than@redhat.com> - 4.3.0-4
- respin

* Mon Aug 03 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.3.0-3
- show the remaining time in the battery plasmoid's popup (as in 4.2) (#515166)

* Sat Aug 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.3.0-2
- move designer plugins to -libs, fixes
  Multilib conflicts for index.cache.bz2 (#515088)
- tighten -libs deps, using %%{?_isa}
- %%check: desktop-file-validate

* Thu Jul 30 2009 Than Ngo <than@redhat.com> - 4.3.0-1
- 4.3.0

* Mon Jul 27 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.98-3
- backport forgotten method impl in Solid from 4.3 branch, r1000715

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.98-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Than Ngo <than@redhat.com> - 4.2.98-1
- 4.3rc3

* Thu Jul 09 2009 Than Ngo <than@redhat.com> - 4.2.96-1
- 4.3rc2

* Mon Jul 06 2009 Than Ngo <than@redhat.com> - 4.2.95-7
- plasma-desktop crashes when closing/opening windows (upstream patch)

* Fri Jul 03 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.95-6
- add kde-plasma-networkmanagement to the default panel if installed

* Wed Jul 01 2009 Michel Salim <salimma@fedoraproject.org> - 4.2.95-5
- rebuild (google-gadgets)

* Wed Jul 01 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.95-4
- rebuild (libxklavier)

* Mon Jun 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.95-3
- omit a few kdm bits from main pkg (#508647)

* Mon Jun 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.95-2
- port and reapply rootprivs (#434824) patch (#508593)
- fix internal version number (otherwise it mismatches with our file list)

* Fri Jun 26 2009 Than Ngo <than@redhat.com> - 4.2.95-1
- 4.3rc1

* Thu Jun 18 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-3
- startkde: make MALLOC_CHECK opt-in (default off)

* Fri Jun 12 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-2
- bump Obsoletes: PolicyKit-kde

* Wed Jun 03 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.90-1
- KDE-4.3 beta2 (4.2.90)

* Sun May 31 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.85-5
- make default_leonidas.png the default face icon on F11

* Sat May 30 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.85-4
- -devel:  exclude libkickoff.so, libsystemsettingsview.so
- drop old cmake crud

* Fri May 29 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.85-3
- omit/revert session-button patch (kde#194506,rh#502953)
- drop unused knotificationitem-1 patch

* Wed May 27 2009 Rex Dieter <rdieter@fedoraproject.org> 4.2.85-2
- upgrade path broken (F-11+), Obsoletes: guidance-power-manager (#502892)
- drop < F-10 crud, have_bluez3

* Mon May 11 2009 Than Ngo <than@redhat.com> 4.2.85-1
- 4.2.85
- Obsoletes/Provides: PolicyKit-kde(-devel)

* Wed May 06 2009 Than Ngo <than@redhat.com> - 4.2.3-2
- Requires: oxygen-icon-theme >= 4.2.2
- fix oxygen-cursor-themes noarch'ness

* Sun May 03 2009 Than Ngo <than@redhat.com> - 4.2.3-1
- 4.2.3

* Tue Apr 28 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-5
- #497657 -  kpackagekit/kopete notification misrendering/missing 
  buttons with qt-4.5.1

* Wed Apr 22 2009 Than Ngo <than@redhat.com> - 4.2.2-4
- dropp unused BR on libraw1394, it breaks the build on s390(x)

* Sun Apr 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-3
- Calendar standalone plasmoid on Desktop using 100% of CPU (kde#187699)

* Wed Apr 01 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.2-2
- optimize scriptlets
- drop upstreamed patches

* Mon Mar 30 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.2-1
- KDE 4.2.2

* Mon Mar 23 2009 Than Ngo <than@redhat.com> - 4.2.1-12
- upstream patch to fix suspending issue

* Mon Mar 23 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-11
- Obsoletes: guidance-power-manager (-> powerdevil upgrade path, F-11+)

* Wed Mar 18 2009 Than Ngo <than@redhat.com> - 4.2.1-10
- upstream patch to fix MenuEntryActions created from khotkeys

* Mon Mar 16 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-9
- kdm subpkg
- -devel: move cmake modules here
- Requires: kdelibs4%%{?_isa} ..
- BR: libutempter-devel (drops need for kwrited helper)

* Thu Mar 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-8
- oxygen-cursor-themes: make noarch (f10+)

* Thu Mar 12 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-7
- fix quicklauch (kdebug#185585,rh#489769)
- -wallpapers: make noarch (f10+)

* Tue Mar 10 2009 Than Ngo <than@redhat.com> - 4.2.1-6
- fix konsole patch to use invokeTerminal

* Mon Mar  9 2009 Lukáš Tinkl <ltinkl@redhat.com> - 4.2.1-5
- fix pager not displaying desktop numbers (kdebug#184152)

* Mon Mar 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-4
- kde 4.2 update crashes plasma (kdebug#185736)

* Wed Mar 04 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.1-3
- move designer plugins to main/runtime (#487622)

* Tue Mar 03 2009 Than Ngo <than@redhat.com> - 4.2.1-2
- respin

* Fri Feb 27 2009 Than Ngo <than@redhat.com> - 4.2.1-1
- 4.2.1

* Thu Feb 26 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.2.0-17
- kio_sysinfo kick-off integration

* Tue Feb 24 2009 Jaroslav Reznik <jreznik@redhat.com> - 4.2.0-16
- no klipper action on selection for Arora browser

* Fri Feb 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-15
- Provides: service(graphical-login) = kdm

* Fri Feb 20 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-14
- Requires: oxygen-icon-theme >= %%version

* Thu Feb 19 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-13
- dpms issues (kdebug#177123)

* Wed Feb 18 2009 Than Ngo <than@redhat.com> - 4.2.0-12
- drop the BR on PyKDE4, it's just needed for runtime
- python-applet subpackage

* Tue Feb 17 2009 Than Ngo <than@redhat.com> - 4.2.0-11
- googlegadgets subpackage

* Mon Feb 16 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.0-10
- fix shutdown dialog not centered, sometimes entirely off screen (kde#181199)

* Wed Feb 11 2009 Than Ngo <than@redhat.com> - 4.2.0-9
- fix kdm crash with Qt-4.5

* Mon Feb 09 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-8
- kickoff logout shuts down system (#484737, kdebug#180576)

* Sun Feb 08 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-7
- include awol rss dataengine, BR: kdepimlibs-devel (see also kdebug#179050)

* Fri Jan 30 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-4.2
- respin default_applets patch for kpowersave too (#483163)

* Thu Jan 29 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 4.2.0-4.1
- conditionalize bluetooth backport on F10+
- F9: revert solid-bluetooth to the version from KDE 4.1.4

* Thu Jan 29 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-4
- omit ldap hack (#457638), kde42's reduced linkage to the rescue

* Thu Jan 29 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.2.0-3
- Requires: PyKDE4 (for plasmascript bits)
- solid-bluetoothTrunkTo42.diff (bug #481801), and 
  +Provides: solid-bluetooth(-devel) = 4.3

* Wed Jan 28 2009 Than Ngo <than@redhat.com> - 4.2.0-2
- readd the patch that omist battery applet when guidance-power-manager is installed

* Thu Jan 22 2009 Than Ngo <than@redhat.com> - 4.2.0-1
- 4.2.0

* Fri Jan 16 2009 Than Ngo <than@redhat.com> - 4.1.96-4
- backport fix from trunk to allow symlinks in wallpaper theme

* Wed Jan 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 4.1.96-3
- BR: google-gadgets-devel > 0.10.5

* Fri Jan 09 2009 Than Ngo <than@redhat.com> - 4.1.96-2
- remove Provides: plasma-devel  

* Wed Jan 07 2009 Than Ngo <than@redhat.com> - 4.1.96-1
- 4.2rc1

* Tue Dec 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.85-7
- Obsoletes: kpowersave (kpowersave -> powerdevil upgrade path, F-11+)

* Mon Dec 22 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.85-6
- (re)enable edje, google-gadget support

* Thu Dec 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.85-5
- drop BR edje-devel, we need QEdje instead, which we don't have yet
- comment out BR google-gadgets-* for now, need 0.10.4, have 0.10.3

* Thu Dec 18 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.85-4
- BR: edje-devel
- BR: google-gadgets-devel

* Tue Dec 16 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.85-3
- respun tarball

* Fri Dec 12 2008 Rex Dieter <rdieter@fedoraproject.org> - 4.1.85-2
- BR: PyKDE4-devel >= %%version

* Thu Dec 11 2008 Than Ngo <than@redhat.com> -  4.1.85-1
- 4.2beta2

* Wed Dec 10 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.82-1
- 4.1.82
- rebase redhat-startkde patch

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-12
- move libplasma_applet-system-monitor.so from -devel to -libs (not a symlink)

* Fri Dec 05 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-11
- drop devel symlink (parallel -devel) hacks, not needed anymore in this package

* Tue Dec 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-10
- keep libtaskmanager.so in libdir

* Tue Dec 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-9
- keep libweather_ion.so in libdir

* Tue Dec 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-8
- keep libplasmaclock.so in libdir

* Mon Dec 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-7
- rebuild for Python 2.6

* Thu Nov 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.80-6
- disable Logitech mouse KCM again until #399931 is fixed

* Thu Nov 27 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-5
- use python_sitearch for x86_64 systems
- kephal seems to be disabled/removed, re-adapted file lists

* Tue Nov 25 2008 Than Ngo <than@redhat.com> 4.1.80-4
- respin

* Sun Nov 23 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-3
- rebase kdebase-workspace-4.1.1-show-systemsettings.patch
- new library: Kephal -> adapt file lists

* Wed Nov 19 2008 Than Ngo <than@redhat.com> 4.1.80-2
- merged
- drop kdebase-workspace-4.1.2-kdm-i18n.patch, it's included in upstream
- drop kdebase-workspace-4.0.85-plasma-default-wallpaper.patch, it's included in upstream
- drop kdebase-workspace-4.1.65-consolekit-kdm.patch
- add kdebase-workspace-4.1.80-session-button.patch
- add kdebase-workspace-4.1.2-ldap.patch

* Wed Nov 19 2008 Lorenzo Villani <lvillani@binaryhelix.net> - 4.1.80-1
- 4.1.80
- BR cmake >= 2.6.2
- make install/fast
- drop _default_patch_fuzz 2
- rebase startkde patch
- rebase plasma-konsole patch
- rebase ck-shutdown patch
- add PyKDE4-devel, python-devel and PyQt4-devel to build plasma's python
  scripting interface
- BR google-gadgets-devel for google gadgets scriptengine
- BR libusb-devel for Logitech USB support in KControl

* Thu Nov 13 2008 Than Ngo <than@redhat.com> 4.1.3-5
- apply upstream patch to fix X crash when disabling compositing

* Wed Nov 12 2008 Than Ngo <than@redhat.com> 4.1.3-1
- 4.1.3

* Fri Nov 07 2008 Than Ngo <than@redhat.com> 4.1.2-14
- only omit battery applet when guidance-power-manager is installed

* Fri Nov 07 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-13
- omit battery applet from default panel

* Wed Nov 05 2008 Than Ngo <than@redhat.com> 4.1.2-12
- fix i18n issue in kdm

* Tue Nov 04 2008 Than Ngo <than@redhat.com> 4.1.2-11
- add workaround for ldap issue (#457638)

* Sun Nov 02 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-10
- never touch PATH in startkde, prepending $QTDIR/bin is unnecessary on Fedora
  and breaks locating Qt 3 Assistant and other Qt 3 stuff (startkde gets run
  with a full path by KDM)

* Sat Nov 01 2008 Than Ngo <than@redhat.com> 4.1.2-9
- previous session button should be enabled

* Fri Oct 31 2008 Than Ngo <than@redhat.com> 4.1.2-8
- apply patch to fix multihead issue
- bz#469235, use non-blocking QProcess:startDetacted

* Sat Oct 25 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-7
- F10: use KDM default face icon from solar-kde-theme, require it

* Sat Oct 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-6
- reenable panel-autohide-fix-flicker patch
- backport revision 866998 to fix the CPU consumption problem (kde#172549)
- backport panelview.cpp coordinate fixes (revisions 869882, 869925, 870041)
- backport revision 871058 (request config sync when panel controller goes away)

* Fri Oct 10 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-5
- disable panel-autohide-fix-flicker patch for now, eats CPU

* Thu Oct 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.2-4
- backport panel autohide from 4.2 / plasma-4.1-openSUSE

* Wed Oct  8 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.2-3
- fix crash when invoking a klipper command for a second time

* Sun Sep 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-2
- make VERBOSE=1
- respin against new(er) kde-filesystem

* Fri Sep 26 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.2-1
- 4.1.2

* Mon Sep 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.1-2
- show KCM icon in rootprivs patch (thanks to Harald Sitter "apachelogger")

* Thu Aug 28 2008 Than Ngo <than@redhat.com> 4.1.1-1
- 4.1.1

* Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-8
- patch another place where systemsettings was hidden from the menu (#457739)

* Mon Aug 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-7
- enable KWin taskbarthumbnail effect (used by backported tooltip manager)

* Fri Aug 01 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-6
- patch to help krandr issues/crashes (kde#152914)

* Fri Aug 01 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.1.0-5
- fix 457479: "Run as root" dialog of kdm system settings is shown twice
  (due to activated signal being connected to twice)

* Fri Aug 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-4
- fix KDM configuration using the wrong appsdir for themes (#455623)

* Mon Jul 28 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-3
- respun tarball

* Sun Jul 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.1.0-2
- updated tooltip manager from 4.2 (fixes Plasma crash on theme change, #456820)

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Wed Jul 23 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-5
- F10+: fix circular kdebase<->kdebase-workspace dependency: don't Obsolete or
  Require kdebase, as kdebase now requires kdebase-workspace, obviating the
  upgrade path hack

* Tue Jul 22 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-4
- oxygen-cursor-themes, -wallpapers subpkgs

* Sat Jul 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-3
- BR soprano-devel (optional dependency of the Plasma Engine Explorer)

* Sat Jul 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-2
- backport Plasma tooltip manager from KDE 4.2 (fixes regression from 4.0)
  WARNING: Adds some new APIs from 4.2 (Plasma::popupPosition, Plasma::viewFor,
           Plasma::ToolTip*), use at your own risk, we have no control to
           guarantee that they will not change!

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-8
- fix KDM ConsoleKit patch to use x11-display-device instead of display-device

* Wed Jul 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-7
- fix segfault in KDM ConsoleKit patch (#455562)

* Tue Jul 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-6
- move systemsettings back from System to Settings in the menu

* Mon Jul 14 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-5
- new consolekit-kdm patch using libck-connector, BR ConsoleKit-devel (#430388)

* Mon Jul 14 2008 Rex Dieter <rdieter@fedorproject.org> 4.0.98-4
- install circles kdm theme

* Sun Jul 13 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.98-3
- sync kickoff-suspend patch from F9 (loads ksmserver translations)

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-2
- respun tarball (with systray patch)

* Thu Jul 10 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Wed Jul 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.85-3
- rewrite and reapply plasma-default-wallpaper patch
- (no more separate plasma-default-wallpaper-config part)
- rediff kde#154119 patch one last time

* Wed Jul 09 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-2
- systray icon patch (kde#164786)

* Sun Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Fri Jun 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-2
- port and apply kde#154119/kde#158301 patch for moving icons on panel (#439587)

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Tue Jun 17 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-2
- +Provides: kdm

* Sat Jun 14 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Wed Jun 04 2008 Than Ngo <than@redhat.com> 4.0.80-4
- fix #449881, ksysguard OnlyShowIn=KDE

* Tue Jun 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.80-3
- enable NetworkManager support, now compatible with NM 0.7

* Thu May 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.80-2
- BR: libcaptury-devel

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 21 2008 Than Ngo <than@redhat.com> 4.0.72-4
- fix #447030, hyperlinks do not open correctly in firefox

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-3
- ksysguardd subpkg (#426543)
- %%config(noreplace) systemsettingsrc

* Thu May 08 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.72-2
- gtkrc patch (rh#443309, kde#146779)

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- update file list (Lorenzo Villani)
- port plasma-konsole, ck-shutdown, rootprivs, plasma-default-wallpaper patches
- remove NoDisplay=true in systemsettings onlyshowkde patch (still add
  OnlyShowIn=KDE), rename to show-systemsettings
- drop upstreamed suspend patch
- drop backported kde#155362 and menu-switch patches
- drop rh#443610 patch, "Zoom Out" should be working in 4.1
- disable kde#158301 patch for now (fails to apply, looks hard to port)

* Fri May 02 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.3-20
- Requires: kdebase , so it doesn't go missing on upgrades from kde3 (#444928)

* Mon Apr 28 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-19
- #444141: Initial wallpaper chooser has "EOS" preselected but wallpaper is "Fedora Waves"

* Sun Apr 27 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-18
- don't show "Zoom Out" toolbox action (#443610, patch from openSUSE branch)

* Sat Apr 19 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-17
- allow moving plasmoids on panels (#439587, kde#158301) (upstream patch)

* Fri Apr 18 2008 Than Ngo <than@redhat.com> 4.0.3-16
- fix #442559, Suspend/Hibernate issue on logout

* Tue Apr 15 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-15
- workaround #434824: KDE4 System Settings - No Method To Enter Administrative Mode
- fix #441062: packagekit tools do not show icons correctly on KDE

* Tue Apr 15 2008 Sebastian Vahl <fedora@deadbabylon.de> 4.0.3-13
- update redhat-startkde.patch to match waves background color (#442312)

* Fri Apr 11 2008 Lukáš Tinkl <ltinkl@redhat.com> 4.0.3-12
- allow to define a default wallpaper (plasmarc:wallpaper)

* Wed Apr 09 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-11
- read the default KSplash theme from kde-settings in startkde (#441565)

* Mon Apr 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-7
- own %%{_kde4_appsdir}/kdm/faces and set default user image (#441154)

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-6
- rebuild for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-5
- update file list for _kde4_libexecdir

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- backport context menu switch between Kickoff and simple menu from 4.1

* Sat Mar 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- add support for shutdown/reboot through ConsoleKit >= 0.2.4 (#431817)

* Fri Mar 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- most of the kde#155362 patch has been merged, keep only the config part

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.2-9
- add onlyshowin=KDE for systemsetting

* Thu Mar 13 2008 Than Ngo <than@redhat.com> 4.0.2-8
- backport upstream patch to fix crash in kmenuedit when users
  delete entry and save it

* Wed Mar 12 2008 Than Ngo <than@redhat.com> 4.0.2-7
- apply upstream patch to fix changing wallpaper causes desktop to go white
- apply upstream patch to check whether the to-be-embedded window has been destroyed, (bz#437058)

* Mon Mar 10 2008 Than Ngo <than@redhat.com> 4.0.2-6
- add gestures=false in kde-settings, remove kdebase-workspace-4.0.2-Gestures.patch

* Thu Mar 06 2008 Than Ngo <than@redhat.com> 4.0.2-5
- typo fix

* Tue Mar 04 2008 Than Ngo <than@redhat.com> 4.0.2-4
- disable gestures as default
- add konsole in desktop menu

* Mon Mar 03 2008 Than Ngo <than@redhat.com> 4.0.2-3
- apply upstream patch to fix crash in khotkeys

* Fri Feb 29 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.2-2
- drop upstreamed kde#155974 patch
- update kde#155362 patch

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Mon Feb 25 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-8
- %%files: don't own %%_kde4_libdir/kde4/plugins (thanks wolfy!)

* Sat Feb 16 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-7
- omit broken disk space checking hunk from redhat-startkde patch (#426871)

* Wed Feb 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-6
- revert Conflicts, it matches against Provides from kdelibs3.

* Wed Feb 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-5
- Conflicts: kdelibs < 6:4 (temporary, to ease upgrade pain)
- -devel: Requires: %%name-libs

* Mon Feb 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-4
- backport enhancement to allow multi-line taskbar from 4.1 (kde#155974)

* Mon Feb 04 2008 Than Ngo <than@redhat.com> 4.0.1-3
- respin

* Fri Feb 01 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.1-2
- update kde#155362 (simple menu) patch for 4.0.1 (thanks to Jan Mette)

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.1-1
- 4.0.1

* Wed Jan 30 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-8
- respin (qt4)

* Sat Jan 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-7
- backport simple menu enhancement to show .desktop Name from 4.1 (kde#155362)

* Wed Jan 23 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.0-6
- Obsoletes: kdebase < 6:4

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-5
- initial login with white background (#428131, kde#155122)

* Wed Jan 09 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-4
- use upstream systemtray patch (#427442, kde#153193)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-3
- respun tarball
- omit gtk_applet patch (for now, doesn't build)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 4.0.0-2
- omit plasma-pager patch
- pull upstream patch to workaround gtk applet crasher (#427442)

* Mon Jan 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.0-1
- update to 4.0.0
- drop upstreamed creategtkrc-gtk212 patch
- update redhat-startkde and consolekit-kdm patches

* Mon Dec 31 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> - 3.97.0-5
- fix createGtkrc to set tooltip colors also for GTK+ 2.12+

* Sun Dec 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-4
- Obsoletes: kdmtheme

* Mon Dec 17 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.97.0-3
- Requires: coreutils dbus-x11 xorg-x11-apps xorg-x11-utils
            xorg-x11-server-utils (used in startkde)
- drop pam configs that were previously moved to kde-settings

* Tue Dec 11 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraprojec.torg. 3.97.0-1
- kde-3.97.0
- move pam configs to kde-settings
- Requires: kde-settings-kdm

* Tue Dec 04 2007 Than Ngo <than@redhat.com> 3.96.2-3
- fix kdm/kcheckpass/kscreensaver to get working

* Sat Dec 01 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.2-2
- BR: dbus-devel
- crystalsvg icons are not part of kdebase-workspace anymore
- make sure libkdeinit_plasma.so is in normal package

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.2-1
- kde-3.96.2

* Sat Dec 01 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-4
- Obsoletes and Provides kdebase-kdm for upgrades from old kde-redhat

* Fri Nov 30 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 3.96.1-3
- update and apply redhat-startkde patch
- update and apply KDM ConsoleKit patch (#228111, kde#147790)
- ConsoleKit patch also includes xdmcp fixes from Mandriva (#243560)

* Wed Nov 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 3.96.1-2
- %%doc README COPYING
- -libs subpkg
- -libs: Requires: kdelibs4
- don't remove libplasma.so from %%{_kde4_libdir}
- %%files: use %%_datadir for dbus-1/interfaces,xsessions

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.1-1
- kde-3.96.1

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-7
- use kde.desktop from /usr/share/apps/kdm/sessions/kde.desktop
- use %%config(noreplace) for /etc/ksysguarddrc
- Requires: kdebase, kdebase-runtime, oxygen-icon-theme
- fix url

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-6
- add patch to get pager in plasma bar
- re-added BR: libraw1394-devel

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-5
- leave libkworkspace.so for kate
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-4
- BR: libXtst-devel
- BR: libXScrnSaver-devel

* Fri Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-3
- own some more directories
- add %%defattr to package devel
- some spec cleanups
- -R: kdepimlibs-devel
- +BR: libXpm-devel
- +BR: glib2-devel (do we really need this?)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-2
- BR: libXxf86misc-devel
- BR: libXxf86misc-devel
- BR: libXcomposite-devel
- BR: bluez-libs-devel
- BR: libxklavier-devel
- BR: pam-devel
- BR: lm_sensors-devel
- BR: libXdamage-devel
- BR: libXv-devel
- BR: libXres-devel

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.96.0-1
- kde-3.96.0

* Wed Nov 14 2007 Sebastian Vahl <fedora@deadbabylon.de> 3.95.2-1
- Initial version of kdebase-workspace
