Name:    libkcompactdisc
Summary: KDE compact disc library
Summary(ja): KDE 向け CD 用ライブラリ
Version: 4.9.1
Release: 1%{?_dist_release}

License: GPLv2+, LGPLv2+
Group:   System Environment/Libraries
URL:     https://projects.kde.org/projects/extragear/libs/libkgapi

Source0: ftp://ftp.kde.org/pub/kde/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: alsa-lib-devel

Requires: kdelibs4 >= %{version}


%description
%{summary}


%package devel
Summary:  Development files for %{name} 
Summary(ja): %{name} の開発用ファイル 
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: kdelibs4-devel 

%description devel
%{summary}.


%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DDATA_INSTALL_DIR:PATH=%{_datadir}/kde4/apps \
    -DINCLUDE_INSTALL_DIR:PATH=%{_includedir}/kde4 \
    -DLIB_INSTALL_DIR:PATH=%{_libdir} \
    -DLIBEXEC_INSTALL_DIR:PATH=%{_libexecdir}/kde4 \
    -DSYSCONF_INSTALL_DIR:PATH=%{_sysconfdir} \
    ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
export PKG_CONFIG_PATH=$RPM_BUILD_ROOT%{_datadir}/pkgconfig:$RPM_BUILD_ROOT%{_libdir}/pkgconfig


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB
%{_libdir}/libkcompactdisc.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/kde4/%{name}
%{_libdir}/libkcompactdisc.so
%{_libdir}/cmake/%{name}


%changelog
* Thu Sep 06 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.1-1
- new upstream release

* Sun Aug 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 4.9.0-1
- initial build
